"use strict";

const { validateOptions, required, isNumber, isString } = require("validatem");
const isMXC = require("./validate/is-mxc");

module.exports = function generateThumbnailUrl({homeserver, mxc, width, height }) {
	validateOptions(arguments, {
		homeserver: [ required, isString ],
		mxc: [ required, isMXC ],
		width: [ required, isNumber ],
		height: [ required, isNumber ]
	});

	return `${homeserver}/_matrix/media/v1/thumbnail/${mxc.homeserver}/${mxc.id}?width=${width}&height=${height}&method=scale`;
};
